org.apache.felix.ipojo.manipulator.metadata.annotation.registry

## Class MetaAnnotationBindingRegistry

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.registry.CompletableBindingRegistry
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.registry.MetaAnnotationBindingRegistry

All Implemented Interfaces:
  BindingRegistry

    public class MetaAnnotationBindingRegistry
    extends CompletableBindingRegistry

The `MetaAnnotationBindingRegistry` is a registry that tries to complete its list of bindings when an unknown one is detected. It uses the given `ResourceStore` to parse the annotation's type and find if it's annotated with @`Stereotype`,

### Constructor Summary

Constructors
Constructor and Description
`MetaAnnotationBindingRegistry(BindingRegistry delegate, Reporter reporter, ResourceStore store)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<Binding>` `createBindings(org.objectweb.asm.Type type)`
`protected Iterable<Binding>` `nullBindingsForMetaAnnotations()`

### Methods inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.registry.CompletableBindingRegistry

`addBindings, getBindings, selection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetaAnnotationBindingRegistry

    public MetaAnnotationBindingRegistry(BindingRegistry delegate,
                                         Reporter reporter,
                                         ResourceStore store)

### Method Detail

#### nullBindingsForMetaAnnotations

    protected Iterable<Binding> nullBindingsForMetaAnnotations()

#### createBindings

    protected List<Binding> createBindings(org.objectweb.asm.Type type)

Specified by:
  `createBindings` in class `CompletableBindingRegistry`